﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.display.DisplayObject;
	
	public class Boussoler extends Sprite
	{
		private var col:uint = 20;
		private var line:uint = 20;
		private var clip:Sprite;
		private var clip2:Sprite;
		private var clip3:Sprite;


		private var angle:Number;
		public function Boussoler()
		{
			addEventListener(Event.ADDED_TO_STAGE, addedHandler);
		}
		private function fullhandler(e:FullScreenEvent):void
		{
			while(numChildren>0){
				var c:DisplayObject = getChildAt(0);
				removeChildAt(0);
				c = null;
			}
			init();
		}
		
		private function addedHandler(e:Event):void
		{
			stage.addEventListener(FullScreenEvent.FULL_SCREEN,fullhandler);
			init();
		}
		private function init():void
		{
			var nbrl:Number = stage.stageWidth/col;
			var nbrh:Number = stage.stageHeight/line;
			for(var i:uint=1;i<line;i++){
				for(var j:uint=1;j<col;j++){
					clip = new Sprite();
					clip.graphics.lineStyle(3,0xffffff);
					clip.graphics.moveTo(0,-20);
					clip.graphics.lineTo(0,10);
					clip.x = j*nbrl;
					clip.y = i*nbrh;
					addChild(clip);
					clip.addEventListener(Event.ENTER_FRAME,enterHandler);
					
					clip2 = new Sprite();
					clip2.graphics.lineStyle(3,0xfff);
					clip2.graphics.moveTo(0,-40);
					clip2.graphics.lineTo(0,20);
					clip2.x = j*nbrl-2;
					clip2.y = i*nbrh-2;
					addChild(clip2);
					clip2.addEventListener(Event.ENTER_FRAME,enterHandler);
					
					clip3 = new Sprite();
					clip3.graphics.lineStyle(3,0xC22121);
					clip3.graphics.moveTo(0,-40);
					clip3.graphics.lineTo(0,20);
					clip3.x = j*nbrl-6;
					clip3.y = i*nbrh-6;
					addChild(clip3);
					clip3.addEventListener(Event.ENTER_FRAME,enterHandler);
					
					
				}
			}
		}
		
		private function enterHandler(e:Event):void
		{
			angle = Math.atan((10-mouseY)/(10-mouseX));
			e.currentTarget.rotation = 10/Math.PI+Math.sin(angle)*1000;
			e.currentTarget.scaleY = angle;
		}
	}
}